Find the answer to your Linux question:
Results 1 to 5 of 5
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Linux Guru Jonathan183's Avatar
    Join Date
    Oct 2007

    Smile [SOLVED] kde 3.5.9 to 3.5.10 update

    A couple of days ago I got a blocked package message ... which I ignored for a couple of days ... anyway today I got round to looking at things again. Turns out kde 3.5.9 to 3.5.10 update happened.

    Given my track record with portage I began to feel a bit uneasy about this ... but since I have xfce4 and fluxbox available I decided to go for it ...
    ... to cut a long story short - went to the gentoo forums website and came across this thread ... followed link on post #10 and followed the instructions ...
    unmerge kdebase kde-base/kdemultimedia kde-base/arts and emerge kdebase-meta:3.5
    everything works .

    Small sucess story ... but I thought I'd share it ...

    and apparently I can now install kde4 along with 3.5.10 ... I'll try that another day - one sucess a day will do

  2. #2
    Linux Guru Jonathan183's Avatar
    Join Date
    Oct 2007
    Maybe I spoke too soon ... following day 14 blocked packages ... and kontact does not want to emerge at the moment ... I'll get there eventually

  3. #3
    Administrator MikeTbob's Avatar
    Join Date
    Apr 2006
    Wait until you try installing kde4. it was not easy for me to get it to upgrade kde 3.5.9 and once I got it upgraded, like you mentioned, blocked packages and also circular depends. It's enough to make a man insane.
    If you need help, you know the drill.
    I do not respond to private messages asking for Linux help, Please keep it on the forums only.
    All new users please read this.** Forum FAQS. ** Adopt an unanswered post.

    I'd rather be lost at the lake than found at home.

  4. $spacer_open
  5. #4
    Linux Guru Jonathan183's Avatar
    Join Date
    Oct 2007
    I unmerged kontact and kmail ... although thinking about I probably didn't have to.
    Currently running revdeb-rebuild ...
    Calculating dependencies... done!
    [ebuild   R   ] kde-base/kdelibs-3.5.10-r6  USE="acl alsa arts branding cups fam
    spell tiff -avahi -bindist -debug -doc -jpeg2k -kdehiddenvisibility -kerberos
    -legacyssl -lua -openexr -utempter" 0 kB
    [ebuild   R   ] x11-libs/libast-0.7  USE="imlib pcre -mmx" 0 kB
    [ebuild   R   ] kde-base/kdebase-kioslaves-3.5.10-r1  USE="hal -debug
    -kdehiddenvisibility -ldap -openexr -samba" 0 kB
    [ebuild   R   ] x11-terms/eterm-0.9.5  USE="unicode -escreen -minimal -mmx (-sse2)" 0
    [ebuild   R   ] kde-base/khelpcenter-3.5.10  USE="-debug -kdehiddenvisibility" 0 kB
    [ebuild   R   ] kde-base/kcontrol-3.5.10  USE="arts ieee1394 opengl -debug -joystick
    -kdehiddenvisibility -logitech-mouse" 0 kB
    [ebuild   R   ] kde-base/konqueror-3.5.10  USE="branding -debug -java
    -kdehiddenvisibility" 0 kB
    Total: 7 packages (7 reinstalls), Size of downloads: 0 kB
     * Now you can remove -p (or --pretend) from arguments and re-run revdep-rebuild.
    After which I'll try to emerge kmail:3.5 ...

    After I get things working ... I'm going to try running kde3.5.10 and kde4.... side by side.

  6. #5
    Linux Guru Jonathan183's Avatar
    Join Date
    Oct 2007
    revdep-rebuild did the trick ...

    installed kde4 as well following info here

    had to add webkit mysql to use flags then did
    emerge -avuDN world
    which emerged 7 packages ... followed this by
    emerge -av kdebase-meta:4.2
    no errors

    Then modified my ~/.xinitrc file
    # Uncomment one Window Manager or Desktop Environment to suit
    # fluxbox
    #exec fluxbox
    # kde 3.5
    #exec /usr/kde/3.5/bin/startkde
    # xfce4
    #exec startxfce4
    # kde 4.2
    exec /usr/bin/startkde
    and kde 4.2 works.

    Firefox, openoffice, freemind, scribus etc work . Just emerging kmail using
    emerge -av kmail:4.2
    Ed: kmail works as well

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts